Plot of a vector field.
Graphical outputs.

() More...

## Functions

void | des_coupe_vect_x (const Vector &vv, double x0, double scale, double sizefl, int nzdes, const char *title=0x0, const Scalar *defsurf=0x0, double zoom=1.2, bool draw_bound=true, int ny=20, int nz=20)
| Plots a vector field in a plane X=constant.
void | des_coupe_vect_x (const Vector &vv, double x0, double scale, double sizefl, double y_min, double y_max, double z_min, double z_max, const char *title=0x0, const Scalar *defsurf=0x0, bool draw_bound=true, int ny=20, int nz=20)
| Plots a vector field in a plane X=constant within a specified graphic window.
void | des_coupe_vect_y (const Vector &vv, double y0, double scale, double sizefl, int nzdes, const char *title=0x0, const Scalar *defsurf=0x0, double zoom=1.2, bool draw_bound=true, int nx=20, int nz=20)
| Plots a vector field in a plane Y=constant.
void | des_coupe_vect_y (const Vector &vv, double y0, double scale, double sizefl, double x_min, double x_max, double z_min, double z_max, const char *title=0x0, const Scalar *defsurf=0x0, bool draw_bound=true, int nx=20, int nz=20)
| Plots a vector field in a plane Y=constant within a specified graphic window.
void | des_coupe_vect_z (const Vector &vv, double z0, double scale, double sizefl, int nzdes, const char *title=0x0, const Scalar *defsurf=0x0, double zoom=1.2, bool draw_bound=true, int nx=20, int ny=20)
| Plots a vector field in a plane Z=constant.
void | des_coupe_vect_z (const Vector &vv, double z0, double scale, double sizefl, double x_min, double x_max, double y_min, double y_max, const char *title=0x0, const Scalar *defsurf=0x0, bool draw_bound=true, int nx=20, int ny=20)
| Plots a vector field in a plane Z=constant within a specified graphic window.

## Detailed Description

()

## Function Documentation

## des_coupe_vect_x() [1/2]

void des_coupe_vect_x | ( | const Vector & | vv,
|  | double | x0,
|  | double | scale,
|  | double | sizefl,
|  | double | y_min,
|  | double | y_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | const Scalar * | defsurf = 0x0,
|  | bool | draw_bound = true,
|  | int | ny = 20,
|  | int | nz = 20 )

Plots a vector field in a plane X=constant within a specified graphic window.

X is the Cartesian coordinate relative to the absolute frame.

Parameters

  vv | [input] vector field to be drawn
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  scale | [input] controls the length of the drawn arrows; if `scale` is negative, the length is determined automatically by the routine: `scale` = -1 : max. length = step of the rectangular grid `scale` = -2 : max. length = 2* step of the rectangular grid etc...
  sizefl | [input] size of the arrows extremities (standard value: 1)
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Scalar` giving the definition of the surface: the surface is defined as the location where this `Scalar` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ny | [input] number of points in the Y direction (default value = 20)
  nz | [input] number of points in the Z direction (default value = 20)

## des_coupe_vect_x() [2/2]

void des_coupe_vect_x | ( | const Vector & | vv,
|  | double | x0,
|  | double | scale,
|  | double | sizefl,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | const Scalar * | defsurf = 0x0,
|  | double | zoom = 1.2,
|  | bool | draw_bound = true,
|  | int | ny = 20,
|  | int | nz = 20 )

Plots a vector field in a plane X=constant.

X is the Cartesian coordinate relative to the absolute frame.

Parameters

  vv | [input] vector field to be drawn
  x0 | [input] value of the coordinate X which defines the plane of the drawing
  scale | [input] controls the length of the drawn arrows; if `scale` is negative, the length is determined automatically by the routine: `scale` = -1 : max. length = step of the rectangular grid `scale` = -2 : max. length = 2* step of the rectangular grid etc...
  sizefl | [input] size of the arrows extremities (standard value: 1)
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Scalar` giving the definition of the surface: the surface is defined as the location where this `Scalar` vanishes (default value = 0x0, corresponds to no surface plot)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  ny | [input] number of points in the Y direction (default value = 20)
  nz | [input] number of points in the Z direction (default value = 20)

## des_coupe_vect_y() [1/2]

void des_coupe_vect_y | ( | const Vector & | vv,
|  | double | y0,
|  | double | scale,
|  | double | sizefl,
|  | double | x_min,
|  | double | x_max,
|  | double | z_min,
|  | double | z_max,
|  | const char * | title = 0x0,
|  | const Scalar * | defsurf = 0x0,
|  | bool | draw_bound = true,
|  | int | nx = 20,
|  | int | nz = 20 )

Plots a vector field in a plane Y=constant within a specified graphic window.

Y is the Cartesian coordinate relative to the absolute frame.

Parameters

  vv | [input] vector field to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  scale | [input] controls the length of the drawn arrows; if `scale` is negative, the length is determined automatically by the routine: `scale` = -1 : max. length = step of the rectangular grid `scale` = -2 : max. length = 2* step of the rectangular grid etc...
  sizefl | [input] size of the arrows extremities (standard value: 1)
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  z_min | [input] lowest value of absol. coord. Z
  z_max | [input] highest value of absol. coord. Z
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Scalar` giving the definition of the surface: the surface is defined as the location where this `Scalar` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  nx | [input] number of points in the X direction (default value = 20)
  nz | [input] number of points in the Z direction (default value = 20)

## des_coupe_vect_y() [2/2]

void des_coupe_vect_y | ( | const Vector & | vv,
|  | double | y0,
|  | double | scale,
|  | double | sizefl,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | const Scalar * | defsurf = 0x0,
|  | double | zoom = 1.2,
|  | bool | draw_bound = true,
|  | int | nx = 20,
|  | int | nz = 20 )

Plots a vector field in a plane Y=constant.

Y is the Cartesian coordinate relative to the absolute frame.

Parameters

  vv | [input] vector field to be drawn
  y0 | [input] value of the coordinate Y which defines the plane of the drawing
  scale | [input] controls the length of the drawn arrows; if `scale` is negative, the length is determined automatically by the routine: `scale` = -1 : max. length = step of the rectangular grid `scale` = -2 : max. length = 2* step of the rectangular grid etc...
  sizefl | [input] size of the arrows extremities (standard value: 1)
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Scalar` giving the definition of the surface: the surface is defined as the location where this `Scalar` vanishes (default value = 0x0, corresponds to no surface plot)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  nx | [input] number of points in the X direction (default value = 20)
  nz | [input] number of points in the Z direction (default value = 20)

## des_coupe_vect_z() [1/2]

void des_coupe_vect_z | ( | const Vector & | vv,
|  | double | z0,
|  | double | scale,
|  | double | sizefl,
|  | double | x_min,
|  | double | x_max,
|  | double | y_min,
|  | double | y_max,
|  | const char * | title = 0x0,
|  | const Scalar * | defsurf = 0x0,
|  | bool | draw_bound = true,
|  | int | nx = 20,
|  | int | ny = 20 )

Plots a vector field in a plane Z=constant within a specified graphic window.

Z is the Cartesian coordinate relative to the absolute frame.

Parameters

  vv | [input] vector field to be drawn
  z0 | [input] value of the coordinate Z which defines the plane of the drawing
  scale | [input] controls the length of the drawn arrows; if `scale` is negative, the length is determined automatically by the routine: `scale` = -1 : max. length = step of the rectangular grid `scale` = -2 : max. length = 2* step of the rectangular grid etc...
  sizefl | [input] size of the arrows extremities (standard value: 1)
  x_min | [input] lowest value of absol. coord. X
  x_max | [input] highest value of absol. coord. X
  y_min | [input] lowest value of absol. coord. Y
  y_max | [input] highest value of absol. coord. Y
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Scalar` giving the definition of the surface: the surface is defined as the location where this `Scalar` vanishes (default value = 0x0, corresponds to no surface plot)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  nx | [input] number of points in the X direction (default value = 20)
  ny | [input] number of points in the Y direction (default value = 20)

## des_coupe_vect_z() [2/2]

void des_coupe_vect_z | ( | const Vector & | vv,
|  | double | z0,
|  | double | scale,
|  | double | sizefl,
|  | int | nzdes,
|  | const char * | title = 0x0,
|  | const Scalar * | defsurf = 0x0,
|  | double | zoom = 1.2,
|  | bool | draw_bound = true,
|  | int | nx = 20,
|  | int | ny = 20 )

Plots a vector field in a plane Z=constant.

Z is the Cartesian coordinate relative to the absolute frame.

Parameters

  vv | [input] vector field to be drawn
  z0 | [input] value of the coordinate Y which defines the plane of the drawing
  scale | [input] controls the length of the drawn arrows; if `scale` is negative, the length is determined automatically by the routine: `scale` = -1 : max. length = step of the rectangular grid `scale` = -2 : max. length = 2* step of the rectangular grid etc...
  sizefl | [input] size of the arrows extremities (standard value: 1)
  nzdes | [input] number of domains for which the plot is performed: the size of the graphic window is determined so that the `nzdes` innermost domains fit in it (for `zoom` = 1.)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  defsurf | [input] pointer on a `Scalar` giving the definition of the surface: the surface is defined as the location where this `Scalar` vanishes (default value = 0x0, corresponds to no surface plot)
  zoom | [input] Factor by which the size of the graphic window (determined from the size of the `nzdes` innermost domains) is multiplied (default value = 1.2)
  draw_bound | [input] true for drawing the boundaries of the various domains (default value = true)
  nx | [input] number of points in the X direction (default value = 20)
  ny | [input] number of points in the Y direction (default value = 20)